using System;
using System.Globalization;
using System.IO;
using System.Xml;

namespace MMXSaveGameConverter
{
    internal sealed class XmlReadState : IReaderState
    {
        public readonly XmlDocument XmlDocument;
        public readonly XmlElement XmlRoot;

        public XmlReadState(string fullPath)
        {
            XmlDocument = new XmlDocument();
            XmlDocument.Load(fullPath);
            XmlRoot = XmlDocument.DocumentElement;
        }

        public bool FileMetaReaded;
        public bool SaveMetaReaded;
        public bool SaveGameReaded;
        public bool ScreenshotReaded;

        public void Dispose()
        {
        }
    }
}